Create new or update existing well entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of well entities to be created or updated

Array [
casingsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.CasingUpsertDto)
formation_topsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.FormationTopUpsertDto)
rigsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RigUpsertDto)
sectionsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.SectionUpsertDto)
idstring or null
along_hole_departurenumber or null, (double)
areastring or null
clean_timenumber or null, (double)
completion_typestring or null
countrystring or null
countystring or null
data_sourcestring or null
elevation_groundnumber or null, (double)
elevation_kbnumber or null, (double)
fieldstring or null
geodetic_systemstring or null
well_guidstring or null
is_offshoreboolean or null
locationobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellLocationDto)
max_incnumber or null, (double)
namestring or null
north_southnumber or null, (double)
spud_datestring or null, (date-time)
statestring or null
target_formationstring or null
total_depthnumber or null, (double)
total_timenumber or null, (double)
uwistring or null
well_typestring or null
well_designstring or null
well_purposestring or null
well_fluidstring or null
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "casings": [
        {
          "type": "string",
          "od": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_id": "string"
        }
      ],
      "formation_tops": [
        {
          "formation_name": "string",
          "top_md": 0.1,
          "top_tvd": 0.1
        }
      ],
      "rigs": [
        {
          "type": "string",
          "name": "string",
          "release_date": "2019-08-24T14:15:22Z"
        }
      ],
      "sections": [
        {
          "type": "string",
          "size": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_summary": "string",
          "section_name": "string",
          "section_tag": "string",
          "section_id": "string"
        }
      ],
      "id": "string",
      "along_hole_departure": 0.1,
      "area": "string",
      "clean_time": 0.1,
      "completion_type": "string",
      "country": "string",
      "county": "string",
      "data_source": "string",
      "elevation_ground": 0.1,
      "elevation_kb": 0.1,
      "field": "string",
      "geodetic_system": "string",
      "well_guid": "string",
      "is_offshore": true,
      "location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "max_inc": 0.1,
      "name": "string",
      "north_south": 0.1,
      "spud_date": "2019-08-24T14:15:22Z",
      "state": "string",
      "target_formation": "string",
      "total_depth": 0.1,
      "total_time": 0.1,
      "uwi": "string",
      "well_type": "string",
      "well_design": "string",
      "well_purpose": "string",
      "well_fluid": "string"
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellUpsertDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellUpsertDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellUpsertDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "casings": [
        {
          "type": "string",
          "od": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_id": "string"
        }
      ],
      "formation_tops": [
        {
          "formation_name": "string",
          "top_md": 0.1,
          "top_tvd": 0.1
        }
      ],
      "rigs": [
        {
          "type": "string",
          "name": "string",
          "release_date": "2019-08-24T14:15:22Z"
        }
      ],
      "sections": [
        {
          "type": "string",
          "size": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_summary": "string",
          "section_name": "string",
          "section_tag": "string",
          "section_id": "string"
        }
      ],
      "id": "string",
      "along_hole_departure": 0.1,
      "area": "string",
      "clean_time": 0.1,
      "completion_type": "string",
      "country": "string",
      "county": "string",
      "data_source": "string",
      "elevation_ground": 0.1,
      "elevation_kb": 0.1,
      "field": "string",
      "geodetic_system": "string",
      "well_guid": "string",
      "is_offshore": true,
      "location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "max_inc": 0.1,
      "name": "string",
      "north_south": 0.1,
      "spud_date": "2019-08-24T14:15:22Z",
      "state": "string",
      "target_formation": "string",
      "total_depth": 0.1,
      "total_time": 0.1,
      "uwi": "string",
      "well_type": "string",
      "well_design": "string",
      "well_purpose": "string",
      "well_fluid": "string"
    }
  ],
  "updated_entities": [
    {
      "casings": [
        {
          "type": "string",
          "od": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_id": "string"
        }
      ],
      "formation_tops": [
        {
          "formation_name": "string",
          "top_md": 0.1,
          "top_tvd": 0.1
        }
      ],
      "rigs": [
        {
          "type": "string",
          "name": "string",
          "release_date": "2019-08-24T14:15:22Z"
        }
      ],
      "sections": [
        {
          "type": "string",
          "size": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_summary": "string",
          "section_name": "string",
          "section_tag": "string",
          "section_id": "string"
        }
      ],
      "id": "string",
      "along_hole_departure": 0.1,
      "area": "string",
      "clean_time": 0.1,
      "completion_type": "string",
      "country": "string",
      "county": "string",
      "data_source": "string",
      "elevation_ground": 0.1,
      "elevation_kb": 0.1,
      "field": "string",
      "geodetic_system": "string",
      "well_guid": "string",
      "is_offshore": true,
      "location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "max_inc": 0.1,
      "name": "string",
      "north_south": 0.1,
      "spud_date": "2019-08-24T14:15:22Z",
      "state": "string",
      "target_formation": "string",
      "total_depth": 0.1,
      "total_time": 0.1,
      "uwi": "string",
      "well_type": "string",
      "well_design": "string",
      "well_purpose": "string",
      "well_fluid": "string"
    }
  ],
  "entity_violations": [
    {
      "source": {
        "casings": [
          {
            "type": "string",
            "od": 0.1,
            "depth_from": 0.1,
            "depth_to": 0.1,
            "section_id": "string"
          }
        ],
        "formation_tops": [
          {
            "formation_name": "string",
            "top_md": 0.1,
            "top_tvd": 0.1
          }
        ],
        "rigs": [
          {
            "type": "string",
            "name": "string",
            "release_date": "2019-08-24T14:15:22Z"
          }
        ],
        "sections": [
          {
            "type": "string",
            "size": 0.1,
            "depth_from": 0.1,
            "depth_to": 0.1,
            "section_summary": "string",
            "section_name": "string",
            "section_tag": "string",
            "section_id": "string"
          }
        ],
        "id": "string",
        "along_hole_departure": 0.1,
        "area": "string",
        "clean_time": 0.1,
        "completion_type": "string",
        "country": "string",
        "county": "string",
        "data_source": "string",
        "elevation_ground": 0.1,
        "elevation_kb": 0.1,
        "field": "string",
        "geodetic_system": "string",
        "well_guid": "string",
        "is_offshore": true,
        "location": {
          "latitude": 0.1,
          "longitude": 0.1
        },
        "max_inc": 0.1,
        "name": "string",
        "north_south": 0.1,
        "spud_date": "2019-08-24T14:15:22Z",
        "state": "string",
        "target_formation": "string",
        "total_depth": 0.1,
        "total_time": 0.1,
        "uwi": "string",
        "well_type": "string",
        "well_design": "string",
        "well_purpose": "string",
        "well_fluid": "string"
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}